wayland::server::output_mode(3)

NAME
wayland::server::output_mode - mode information

SYNOPSIS

#include <wayland-server-protocol.hpp>

Inherits wayland::detail::bitfield< size, id >.

  Static Public Attributes

static const wayland::detail::bitfield< 2, 22 > current
indicates this is the current mode
static const wayland::detail::bitfield< 2, 22 > preferred
indicates this is the preferred mode

Detailed Description

mode information

These flags describe properties of an output mode. They are used in the flags bitfield of the mode event.

Definition at line 4021 of file wayland-server-protocol.hpp.

Member Data Documentation

  const wayland::detail::bitfield<2, 22> wayland::server::output_mode::current [static]

indicates this is the current mode

Definition at line 4028 of file wayland-server-protocol.hpp.

  const wayland::detail::bitfield<2, 22> wayland::server::output_mode::preferred [static]

indicates this is the preferred mode

Definition at line 4030 of file wayland-server-protocol.hpp.

Author

Generated automatically by Doxygen for Wayland++ from the source code.